/*LIBS*/
@import "../scss/flexslider";
@import "../scss/pymes";
@import "../scss/colors";
@import "../scss/ui-datepicker";
$prefix:pymes;

/*CUSTOM*/
body{

}
.wrap-top{
  padding:5px 0 0px 0;
  position:relative;
  top:0;
  width:100%;
  z-index:999;
  background-color:#373434;
  .nav-link,
  a.btn-h{
    color:white;
    text-decoration:none;
  }
}
.navbar{
  background-color:#373434;
}
.zone-slider {
}
.main{
  margin: 25px 0;
}
.bg-gris{
  background-color: #f0f0f0;
  padding-top: 36px;
  padding-bottom: 36px;
}
.navbar-nav .nav-link,
{
  border:1px solid transparent;
  &:hover,
  &:focus
  {
    border-color: white;
  }
}
@-webkit-keyframes fadeIn {
  0% {opacity: 0;}
  100% {opacity: 1;}
}

@keyframes fadeIn {
  0% {opacity: 0;}
  100% {opacity: 1;}
}
.dropdown-menu{
  -webkit-animation-duration: 1.5s;
  animation-duration: 1.5s;
  -webkit-animation-fill-mode: both;
  animation-fill-mode: both;
  -webkit-animation-name: fadeIn;
  animation-name: fadeIn;
}
.dropdown-item{
  &.active,
  &:active{
    background-color: transparent;
  }
}
.btn-view{
  padding-left: 32px;
  padding-right: 32px;
}
.btn{
  border:2px solid;
  &:hover{
    background-color: transparent !important;
  }
}
.scroll-button{
  padding: 10px 5px;
  background: rgba(53, 53, 53, 0.95) !important;
  &:hover {
    background: rgba(70, 70, 70, 0.95) !important;
  }
}
.btn-h
{
    border: 2px solid #ffffff;
    border-radius: 5px;
    height: 38px;
    min-width: 38px;
    text-align: center;
    line-height: 38px;
    font-size: 14px;
    padding: 5px;
    margin: 1px;
  &:hover,
  &:focus{
    border-color:white;
  }
}
.dropdown-menu,
.card-img-top,
.card {
    border-radius: 0;
}
.card-body {
    padding: 1.25rem;
}
.hr-dot {
    display: block;
    width: 100%;
    height: 0;
    border-top: 1px dotted #ccd0d1;
}
.card-body{
  font-family: 'Open Sans', sans-serif;
}
.tour-teaser{
    font-family: 'Roboto', sans-serif;
 .field-summary{
  color: #717171;
  text-align: left;
  min-height: 114px;
  }
  .card-title{
    overflow: hidden;
    margin: 0;
    a{
      color: #606060;
      font-weight: bold;
      &:hover,
      &:focus
      {
        opacity: .85;
      }
    }
  }
  .duration{
    font-size: 1.05em;
    color: #f15a23;
    text-align: center;
    font-weight: 400;
    font-style: normal;
  }
  .link{
    font-size: 1.0em;
    text-transform: uppercase;
    font-weight: 300;
    &:hover,
    &:focus
    {
      color: #1a1a1a !important;
      .fa-arrow-circle-o-right{
        &:before{
          content:"\f0a9";
        }
      }
    }
  }
}
.link{
  display: block;
}
h1{
  text-align:left;
  color:#606060;
  font-family: 'Roboto', sans-serif;
}
.navbar-toggler {
  padding: .25rem .5rem;
  border-color: #fff;
  .icon-bar{
    background-color: #ffffff;
  }
}
.category-teaser .bg-main{
  cursor: pointer;
}
.caption-container {
    font-size: 14px;
    color: white;
    position: absolute;
    width: 100%;
    bottom: 15%;
    p{
      margin:0;
    }
}
.flex-direction-nav a:before{
  color: rgba(255, 255, 255, 0.6);
}
.fixed-top {
  background-color: #373434;
  -webkit-box-shadow: rgba(0, 0, 0, 0.7) 0 0 15px;
  box-shadow: rgba(0, 0, 0, 0.7) 0 0 15px;
  .logo {
    max-height: 50px;
  }
}
.footer{
  color: #989ea1;
  font-size: 12px;
  line-height: 14px;
  padding: 1.5em 0;
  background-color: #1F1F1F;
  a{
    color: #989ea1;
    &:hover,
    &:focus{
      color: #666;
    }
  }
  img {
    max-height: 75px;
  }
}
/* Small devices (landscape phones, 576px and up) */
@media (min-width: 576px) {
  .btn-h {
  line-height: 38px;
  font-size: 18px;
  padding: 10px;
  margin: 10px;
  }
  .tour-teaser{
    min-height: 460px;
  }
}

/* Medium devices (tablets, 768px and up) */
@media (min-width: 768px) {
  .caption-container {
    .title{
      font-size: 32px;
    }
  }
}

/* Large devices (desktops, 992px and up) */
@media (min-width: 992px) {
  .dropdown.show>.dropdown-menu,
  .dropdown:hover>.dropdown-menu {
    display: block;
    margin: 0;
  }
  .navbar {
    max-width: 1140px;
    padding-top: 0;
    margin: 0px auto;
    padding-bottom: 0;
    background-color:transparent;
  }
  .wrap-top{
    background-color:transparent;
    position:absolute;
  }
  .tour-teaser{
    min-height: 465px;
  }
  .zone-slider {
    min-height: 150px;
    background:url(../images/machupicchu.jpg) top center #373434 no-repeat;
    background-size: cover;
  }
}

/* Extra large devices (large desktops, 1200px and up) */
@media (min-width: 1200px) {}
/* Colores */

/* Color */
@each $css, $color, $text, $hover, $link, $opposite, $light in $darks {
  .#{$prefix}#{$css} {
    .main a{
    color:darken($color,5%);
    }
    .ui-datepicker{
      border-color:$color;
      box-shadow: 0 0 8px rgba($color,.6);
      .ui-datepicker-calendar
      {
        td a{
            color:$color;
        }
        .ui-datepicker-current-day{
            background-color:$color;
            a{color:$text;}
        }
      }
    }
    .dropdown-item{
      &:focus,
      &:hover{
        color: $color;
      }

    }
    .text-main{
        color:$color;
    }
    .text-inverse{
        color:$text;
    }
    .btn-h:hover{
      border-color:$color;
    }
    .btn-main{
        background-color: $color;
        border-color: darken($color,3%);
        &:hover{
          color: $color !important;
        }
        &:focus{
            -webkit-box-shadow: 0 0 0 2px rgba($color,.5);
            box-shadow: 0 0 0 2px rgba($color,.5);
        }
    }
    .btn-opposite{
      background-color: $opposite;
      border-color: darken($opposite,3%);
      &:hover{
        color: $opposite !important;
      }
      &:focus{
        -webkit-box-shadow: 0 0 0 2px rgba($color,.5);
        box-shadow: 0 0 0 2px rgba($color,.5);
      }
    }
    .form-control:focus {
        border-color: $color;
    }
    .bg-main{
      background-color: $color;
    }
    .link{
      color:$color;
    }
    .category-teaser .bg-main
    {
      &:hover,
      &:focus{
        background-color: darken($color, 2%);
      }
    }
  }
}
/* FIX */
.bg-primary{}